Skip to content

upsertSalesOrder

WRITE

Upsert sales order.

POST /api/v1/sales/upsertSalesOrder
curl -X POST '<your-host>/api/v1/sales/upsertSalesOrder' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "customerId": "string",
    "locationId": "string",
    "currencyCode": "string",
    "salesOrderId": "string"
  }'
Response
{
  "results": [
    {
      "id": "string",
      "salesOrderId": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType
min length 1
min length 1
"Draft""In Progress""Needs Approval""To Ship and Invoice""To Ship""To Invoice""Completed""Cancelled""Closed"

Input schema

schema
{
  "type": "object",
  "properties": {
    "orderDate": {
      "type": "string"
    },
    "requestedDate": {
      "type": "string"
    },
    "promisedDate": {
      "type": "string"
    },
    "status": {
      "type": "string",
      "enum": [
        "Draft",
        "In Progress",
        "Needs Approval",
        "To Ship and Invoice",
        "To Ship",
        "To Invoice",
        "Completed",
        "Cancelled",
        "Closed"
      ]
    },
    "notes": {
      "type": "string"
    },
    "customerId": {
      "type": "string",
      "minLength": 1
    },
    "customerLocationId": {
      "type": "string"
    },
    "customerContactId": {
      "type": "string"
    },
    "customerEngineeringContactId": {
      "type": "string"
    },
    "customerReference": {
      "type": "string"
    },
    "quoteId": {
      "type": "string"
    },
    "locationId": {
      "type": "string",
      "minLength": 1
    },
    "currencyCode": {
      "type": "string"
    },
    "exchangeRate": {
      "type": "number"
    },
    "exchangeRateUpdatedAt": {
      "type": "string"
    },
    "salesPersonId": {
      "type": "string"
    },
    "salesOrderId": {
      "type": "string"
    },
    "customFields": {},
    "id": {
      "type": "string"
    }
  },
  "required": [
    "customerId",
    "locationId",
    "currencyCode",
    "salesOrderId"
  ]
}